#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

execute_before_dh_auto_build:
	phpabtpl \
		--basedir src \
		composer.json > debian/autoload.php.tpl
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src

execute_before_dh_auto_test:
	# Build classloader for tests
	mkdir --parents vendor
	phpabtpl \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		src

override_dh_auto_test:
	phpunit
